# -*- encoding: utf-8 -*-
# stub: sensu-plugins-memory-checks 4.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-memory-checks".freeze
  s.version = "4.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2019-12-17"
  s.description = "This plugin provides native memory instrumentation\n                              for monitoring and metrics collection, including:\n                              memory usage via `free` and `vmstat`, including metrics.\n                              Note that this plugin may have cross-platform issues.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-swap.rb".freeze, "metrics-memory-percent.rb".freeze, "check-swap-percent.rb".freeze, "metrics-memory.rb".freeze, "check-memory-percent.rb".freeze, "metrics-memory-vmstat.rb".freeze, "check-ram.rb".freeze, "check-memory.rb".freeze]
  s.files = ["bin/check-memory-percent.rb".freeze, "bin/check-memory.rb".freeze, "bin/check-ram.rb".freeze, "bin/check-swap-percent.rb".freeze, "bin/check-swap.rb".freeze, "bin/metrics-memory-percent.rb".freeze, "bin/metrics-memory-vmstat.rb".freeze, "bin/metrics-memory.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-memory-checks".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for checking memory".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.77.0"])
    s.add_development_dependency(%q<vmstat>.freeze, ["~> 2.3.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.77.0"])
    s.add_dependency(%q<vmstat>.freeze, ["~> 2.3.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
